Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
namnhim

[Yêu cầu] nhờ sửa thêm phần gọi Block text và cho nó song song đoạn thẳng

Các bài được khuyến nghị

namnhim    5

các bác ơi cho em hỏi 1 tí, nếu dùng cái lisp này muốn cho thêm đoạn gọi 1 Mtext được tạo sẵn trong support để:

- khi gõ lệnh => chọn đoạn thẳng => chọn điểm đầu và điểm cuối => hiện lên cái Mtext mẫu có sẵn đó song song với đoạn thẳng và lúc đó ta có thể sửa tên đường tùy ý được không các bác nhỉ?

 

(DEFUN C:TD5(/ cnt enam ent pnt s1 tot v1 val)(setvar "CMDECHO" 0.000)
(prompt "\nChon cac duong muon chuyen: ")
   (setq tl (getvar "textstyle"))
   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)
   (SETQ A (SSGET))
   ("CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)
   (SETQ B (GETPOINT "CHON DIEM : diem dau  -  "))(PRINC)
   (SETQ C (GETPOINT "CHON DIEM : diem cuoi"))
   (command "-style" "TEXT" "Times New Roman" "1.1" "1" "0" "n" "n" )
   (command "-layer" "m" "Text"" "" "" "")
   (command "text" "j" "bl" B C (strcase(getstring T "NHAP TEN DUONG:   ")))
  (command "textstyle" tl)(princ))

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

 

các bác ơi cho em hỏi 1 tí, nếu dùng cái lisp này muốn cho thêm đoạn gọi 1 Mtext được tạo sẵn trong support để:

- khi gõ lệnh => chọn đoạn thẳng => chọn điểm đầu và điểm cuối => hiện lên cái Mtext mẫu có sẵn đó song song với đoạn thẳng và lúc đó ta có thể sửa tên đường tùy ý được không các bác nhỉ?

 

(DEFUN C:TD5(/ cnt enam ent pnt s1 tot v1 val)(setvar "CMDECHO" 0.000)
(prompt "\nChon cac duong muon chuyen: ")
   (setq tl (getvar "textstyle"))
   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)
   (SETQ A (SSGET))
   ("CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)
   (SETQ B (GETPOINT "CHON DIEM : diem dau  -  "))(PRINC)
   (SETQ C (GETPOINT "CHON DIEM : diem cuoi"))
   (command "-style" "TEXT" "Times New Roman" "1.1" "1" "0" "n" "n" )
   (command "-layer" "m" "Text"" "" "" "")
   (command "text" "j" "bl" B C (strcase(getstring T "NHAP TEN DUONG:   ")))
  (command "textstyle" tl)(princ))

 

Hề hề hề,

Hãy gửi bản vẽ lên....

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5

đây là bản vẽ của em, em muốn thực hiện như trên sau khi chọn 2 điểm cần hiện tên đường thí nó sẽ xuất hiện 1 mtext song song với đoạn mình trọn (em muốn mtext vì nó gõ unicode dễ hơn)

http://www.cadviet.com/upfiles/3/62465_text_duong.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

đây là bản vẽ của em, em muốn thực hiện như trên sau khi chọn 2 điểm cần hiện tên đường thí nó sẽ xuất hiện 1 mtext song song với đoạn mình trọn (em muốn mtext vì nó gõ unicode dễ hơn)

http://www.cadviet.com/upfiles/3/62465_text_duong.dwg

Hề hề hề,

Chưa hiểu rõ ý bạn lắm. Cứ đoán mò rồi làm bừa, không biết đã đúng ý bạn chưa??? Hãy check nhé.

 

(defun c:edtxt (/ edt e1 e2 p1 p2 p3 etxt goc )
(vl-load-com)
(setq oldos (getvar "osmode"))
(setvar "osmode" 512)
(setq edt (entsel "\n Pick < diem dat text > tren tim duong") 
          e1 (car edt)
          p1 (cadr edt)
          p2 (getpoint p1 "\n Chon diem xac dinh huong dat text")
          p3 (acet-geom-midpoint p1 p2)
          etxt (entget (car (acet-ss-to-list (ssget "f" (acet-geom-vertex-list e1) (list (cons 0 "mtext"))))))
          goc (angle p1 p2)
)
(entmake (list (cons 0 "mtext") (cons 100  "AcDbEntity") (assoc 8 etxt) (cons 100  "AcDbMText")  
                        (cons 10 p3)  (assoc 40 etxt) (cons 71 5) (assoc 72 etxt) (assoc 1 etxt)
                        (assoc 7 etxt) (cons 50 goc) (assoc 73 etxt)   ) )
(setq e2 (entlast))
(entupd e2)
(command "ddedit" e2 pause)
(setvar "osmode" oldos)
(princ)
)
Chúc bạn vui.
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5

cảm ơn bác bình! em dùng cái của bác nó báo lỗi sau khi "Chon diem xac dinh huong dat text ; error: bad argument type: fixnump: nil "

 

 

 

cái em đang dùng khi thực hiện chọn đường muốn chuyển thì nó chuyển cả layer và nét tim đường luôn nhưng text thì ko ghi được, bởi vậy em muốn gọi 1 mtext được tạo sẵn trong suppor và tự sửa tên đường thôi

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

cảm ơn bác bình! em dùng cái của bác nó báo lỗi sau khi "Chon diem xac dinh huong dat text ; error: bad argument type: fixnump: nil "

 

 

 

cái em đang dùng khi thực hiện chọn đường muốn chuyển thì nó chuyển cả layer và nét tim đường luôn nhưng text thì ko ghi được, bởi vậy em muốn gọi 1 mtext được tạo sẵn trong suppor và tự sửa tên đường thôi

Hề hề hề,

Cái lỗi trên có thể do một số nguyên nhấn sau:

1/- Lỗi do pick chọn điểm , (ít khả năng)

2/- Đường tim đường bạn chọn không phải LWpolyline (Khả năng không nhiều)

3/- Đường tim gồm nhiều đọn polyline và đoạn bạn pick chọn không cắt text tên đường nào (Khả năng rất cao)

 

Bạn hãy check lại các điểm nêu trên và chỉnh sửa bản vẽ cho phù hợp trước khi chạy lisp. Mình đã test trên bản vẽ bạn gửi thì nó chạy không tệ đâu.

Hề hề hề.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Mình mới nghe khái niệm MText có sẵn trong Support lần đầu :(

Hề hề hề,

Chắc chú này thích chơi chữ thôi mà. Ý theo như bản vẽ post lên thì mình hiểu là cái text này có sẵn trên đường tim đường này rồi, nay chú ấy muốn bổ sung thêm và tân trang nó nhét vào các đoạn khác nhau trên cùng tim đường này. (kiểu ghi chú trên bản đầ ấy mà).

Âu cũng là đoán mò vậy thôi......

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5

các bác ơi cho em hỏi 1 tí, nếu dùng cái lisp này muốn cho thêm đoạn gọi 1 Mtext được tạo sẵn trong support để:

- khi gõ lệnh => chọn đoạn thẳng => chọn điểm đầu và điểm cuối => hiện lên cái Mtext mẫu có sẵn đó song song với đoạn thẳng và lúc đó ta có thể sửa tên đường tùy ý được không các bác nhỉ?

 

- Ý của em là muốn sau khi thực hiện TD5 thì nó chuyển Layer và nét tim đường thì được rồi còn phần nhập tên đường vì nó dùng cho nhập dưới dòng commond nên không nhập được chữ có dấu với font Unicode, bởi vậy em muốn nó thêm chức năng gọi 1 file Text được tạo sẵn và lưu trong support ra đ song song với tim đường rồi ta sửa tên đường thôi!

- lisp của anh Binh em dùng được với điều kiện nó đã có chữ sẵn trong bản vẽ rồi, còn bản vẽ mới chưa có chữ thì không dùng được anh ạ! cảm ơn anh. anh có thể giúp em thêm cái phần nội dung màu đỏ ở trên không ạ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5

namnhim, on 04 Apr 2013 - 12:22, said:snapback.png

các bác ơi cho em hỏi 1 tí, nếu dùng cái lisp này muốn cho thêm đoạn gọi 1 Mtext được tạo sẵn trong support để:

- khi gõ lệnh => chọn đoạn thẳng => chọn điểm đầu và điểm cuối => hiện lên cái Mtext mẫu có sẵn đó song song với đoạn thẳng và lúc đó ta có thể sửa tên đường tùy ý được không các bác nhỉ?

==================================

- Ý của em là muốn sau khi thực hiện TD5 thì nó chuyển Layer và nét tim đường thì được rồi còn phần nhập tên đường vì nó dùng cho nhập dưới dòng commond nên không nhập được chữ có dấu với font Unicode, bởi vậy em muốn nó thêm chức năng gọi 1 file Text được tạo sẵn và lưu trong support ra đ song song với tim đường rồi ta sửa tên đường thôi!

- lisp của anh Binh em dùng được với điều kiện nó đã có chữ sẵn trong bản vẽ rồi, còn bản vẽ mới chưa có chữ thì không dùng được anh ạ! cảm ơn anh. anh có thể giúp em thêm cái phần nội dung màu đỏ ở trên không ạ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

namnhim, on 04 Apr 2013 - 12:22, said:snapback.png

Hề hề hề,

Vậy thì bạn hãy tạo một block chứa cái mtext này. Sau đó insert nó vô cái vị tri bạn cần là Ok mà. Có thể sửa một chút cái lisp mình gửi là dùng được.

Bạn hãy gửi mình cái file chứa mtext của bạn để mình test lisp.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Bạn hãy thử lisp này xem có cần chỉnh sửa gì không nhé.

Bạn lưu ý là phải sửa lại đường dẫn tới file chứa mtext của bạn cho phù hợp với vị trí lưu file trên máy của bạn trước khi chạy lisp nhé. Đường dẫn này nằm trong dòng code:

(command "insert" "D:\\Dowload\\62465_ten_duong.dwg" (getpoint "\n Chon diem bat ky tren ban ve") 1 1 0)

Cái thằng  "D:\\Dowload\\62465_ten_duong.dwg" là cái đường dẫn tới file chứa mtext bạn gửi, chỉ có trên máy của mình. Đưa vào máy của bạn sẽ có thể bị lỗi đó.

Chúc bạn vui và có một tuần làm việc thành công.

 

(defun c:edtblk (/ edt e1 e2 p1 p2 p3 etxt goc etxt)
(vl-load-com)
(setq oldos (getvar "osmode"))
(setvar "osmode" 512)
(setq edt (entsel "\n Pick < diem dat text > tren tim duong") 
          e1 (car edt)
          p1 (cadr edt)
          p2 (getpoint p1 "\n Chon diem xac dinh huong dat text")
          p3 (acet-geom-midpoint p1 p2)
          goc (angle p1 p2)
)
;;(entmake (list (cons 0 "mtext") (cons 100  "AcDbEntity") (assoc 8 etxt) (cons 100  "AcDbMText")  
                       ;; (cons 10 p3)  (assoc 40 etxt) (cons 71 5) (assoc 72 etxt) (assoc 1 etxt)
                       ;; (assoc 7 etxt) (cons 50 goc) (assoc 73 etxt)   ) )
(command "insert" "D:\\Dowload\\62465_ten_duong.dwg" (getpoint "\n Chon diem bat ky tren ban ve") 1 1 0)
(command "explode" (entlast) "")
(setq e2 (entlast))
(setq  etxt (entget e2)
           etxt (subst (cons 10 p3) (assoc 10 etxt) etxt)
           etxt (subst (cons 50 goc) (assoc 50 etxt) etxt) )
(entmod etxt)
(entupd e2)
(command "ddedit" e2 pause)
(setvar "osmode" oldos)
(princ)
)
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5

cảm ơn anh, cái lisp trên chạy tốt anh ạ, nhưng nó chỉ chạy với điều kiện riêng để gọi block, sửa text và quay chữ thôi, còn phần chuyển layer và nét tim đường thì phải làm riêng! anh có thể bổ sung giúp em cái phần của anh vào cái lisp này được không ạ!

(DEFUN C:TD5(/ cnt enam ent pnt s1 tot v1 val)(setvar "CMDECHO" 0.000)
(prompt "\nChon cac duong muon chuyen: ")
   (setq tl (getvar "textstyle"))
   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)
   (SETQ A (SSGET))
   ("CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)
   (command "insert" "D:\\Dowload\\62465_ten_duong.dwg" (getpoint "\n Chon diem bat ky tren ban ve") 1 1 0)
  (command "textstyle" tl)(princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

 

cảm ơn anh, cái lisp trên chạy tốt anh ạ, nhưng nó chỉ chạy với điều kiện riêng để gọi block, sửa text và quay chữ thôi, còn phần chuyển layer và nét tim đường thì phải làm riêng! anh có thể bổ sung giúp em cái phần của anh vào cái lisp này được không ạ!

(DEFUN C:TD5(/ cnt enam ent pnt s1 tot v1 val)(setvar "CMDECHO" 0.000)
(prompt "\nChon cac duong muon chuyen: ")
   (setq tl (getvar "textstyle"))
   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)
   (SETQ A (SSGET))
   ("CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)
   (command "insert" "D:\\Dowload\\62465_ten_duong.dwg" (getpoint "\n Chon diem bat ky tren ban ve") 1 1 0)
  (command "textstyle" tl)(princ))

Hề hề hề,

Trước hết bạn cần hiểu rằng cái lisp của bạn sử dụng để thay đổi color,layer, linetype, linetypescale. cho một nhóm nhiều đối tượng chứ không phải chỉ cho một đối tượng.

Trong khi lisp mình viết cho bạn lại chỉ dùng để nhập text vào một đường chọn trước mà thôi.

Việc ghép hai lisp này không phải là không thể mà vấn đề là cần hiểu đúng mục tiêu của bạn mới làm được. Bạn nên nói rõ vấn đề này.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5
[Yêu cầu] nhờ sửa thêm phần gọi Block text và cho nó song song đoạn thẳng

em xin lỗi vì giải thích không rõ ràng!

* mục đích cuối cùng của em là khi em vẽ được tim đường rồi, giờ em muốn dùng 1 lệnh để vừa chuyển layer + chuyển nét tim đường (vấn đề này đã thực hiện được rồi) chỉ có phần nhập tên đường thì đã có cho chữ chạy song song với đoạn thẳng nhưng vì nó là nhập dưới dòng command nên em không thực hiện được với kiểu Unicode phông Times New Roman. bởi vậy em muốn có cách nào đó để thêm vào lisp TD5 phần gọi 1 Mtext được tạo sẵn để khi thực hiện các bước chuyển layer + chuyển nét tim đường xong => sẽ gọi 1 text cho nó song song và có thể sửa được vidu như Mtext!

cảm ơn anh về sự giúp đỡ nhiệt tình của anh!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5

 Có lẽ là rất khó có thể làm được rồi!  

vậy có lẽ phải làm thêm thao tác gọi Text nhưng nhờ các anh thêm và sửa giúp em:

- Đoạn hỏi ở đây thì mặc định là R không hỏi lại:

Specify opposite corner or [Height/Justify/Line spacing/Rotation/Style/Width]: R

- Đến đoạn nhập Mtext: ..... thì phải Enter 2 lần, sửa như thế nào để Enter 1 lần là được(đoạn nhập Text mình có thể viết sẵn 1 đoạn text bất kỳ được không các anh nhỉ?)

 

(DEFUN C:TD5()
(setvar "CMDECHO" 0.000)
(prompt "\nChon cac duong muon chuyen: ")
   (setq tl (getvar "textstyle"))
   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)
   (SETQ A (SSGET))
   (COMMAND"CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)   
   (command "-style" "TEXT" "Times New Roman" "1.1" "1" "0" "n" "n" )
   (command "-layer" "m" "Text""c" "White" "" "")
(command "-Mtext")  (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

 Có lẽ là rất khó có thể làm được rồi!  

vậy có lẽ phải làm thêm thao tác gọi Text nhưng nhờ các anh thêm và sửa giúp em:

- Đoạn hỏi ở đây thì mặc định là R không hỏi lại:

Specify opposite corner or [Height/Justify/Line spacing/Rotation/Style/Width]: R

- Đến đoạn nhập Mtext: ..... thì phải Enter 2 lần, sửa như thế nào để Enter 1 lần là được(đoạn nhập Text mình có thể viết sẵn 1 đoạn text bất kỳ được không các anh nhỉ?)

 

(DEFUN C:TD5()

(setvar "CMDECHO" 0.000)

(prompt "\nChon cac duong muon chuyen: ")

   (setq tl (getvar "textstyle"))

   (COMMAND "-LAYER" "m" "Tim duong" "color" 3 "" "")(PRINC)

   (SETQ A (SSGET))

   (COMMAND"CHPROP" A PAUSE "c" "3" "la" "Tim duong" "lt" "acad_iso10w100" "s" "0.15" "")(princ)   

   (command "-style" "TEXT" "Times New Roman" "1.1" "1" "0" "n" "n" )

   (command "-layer" "m" "Text""c" "White" "" "")

(command "-Mtext")  (princ))

Hề hề hề,

Cái khó nhất là không biết bạn cần cái gì???

Muốn mặc định là R tì nhập "r" vào dòng lệnh command 'mtext"

Muốn không phải enter hai lần thì trong lisp cần có sẵn hai cặp dâu ngoặc kép "" "" ở dòng lệnh command.

Muốn nhập nọi dung text có sẵn là gì thì nhập nội dung đó vào vị trí của nó trong dòng command "mtext"

tỷ dụ:

(command "mtext" (setq p1 (getpoint "\nhap diem goc tren ben trai của dòng text")) "r" 50 (setq p2 (getpoint p1 "\nhap diem goc duoi ben phai dòng text")) "em khong biet" "" )

Chúc thành công.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5

vấn đề đã được giải quyết đơn giản và hiệu quả hơn rồi anh ạ,

có 1 chút nữa em muốn hỏi "r" 50 thì ok, nhưng muốn R quay theo mình chọn như dòng nhắc "nhap diem goc tren ben trai cua dong text" => "nhap diem goc duoi ben phai dong text" thì không được anh nhỉ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

vấn đề đã được giải quyết đơn giản và hiệu quả hơn rồi anh ạ,

có 1 chút nữa em muốn hỏi "r" 50 thì ok, nhưng muốn R quay theo mình chọn như dòng nhắc "nhap diem goc tren ben trai cua dong text" => "nhap diem goc duoi ben phai dong text" thì không được anh nhỉ

Hề hề hề,

Được, làm y chang như việc nhập dữ liệu số. có điều cần lưu ý là giá trị số này phải thể hiện ở đơn vị đo goc là độ.

Tỷ dụ:

 

(command "mtext" (setq p1 (getpoint "\nhap diem goc tren ben trai của dòng text")) "r" (getreal "\n Nhap gia tri goc nghieng theo do: ") (setq p2 (getpoint p1 "\nhap diem goc duoi ben phai dòng text")) "em khong biet" "" )

Chúc thành công.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5

vấn đề đã được giải quyết đơn giản và hiệu quả hơn rồi anh ạ,

có 1 chút nữa em muốn hỏi "r" 50 thì ok, nhưng muốn R quay theo mình chọn như dòng nhắc "nhap diem goc tren ben trai cua dong text" => "nhap diem goc duoi ben phai dong text" thì không được anh nhỉ

 

anh ơi, nếu bỏ góc quay  "R" 50 mà chỉ để "R" và pick điểm đầu và cuối của của đoạn thẳng làm hướng cho text song song được không

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

anh ơi, nếu bỏ góc quay  "R" 50 mà chỉ để "R" và pick điểm đầu và cuối của của đoạn thẳng làm hướng cho text song song được không

Hề hề hề ,

Được.

(command "mtext" (setq p1 (getpoint "\nhap diem goc tren ben trai của dòng text")) "r" (/ (* 180 (angle (setq p3 (getpoint "\n Nhap diem dau tren pline tim duong")) (setq p4 (getpoint p3 "\n Nhap diem dinh huong thu hai tren pline tim duong)))) pi) (setq p2 (getpoint p1 "\nhap diem goc duoi ben phai dòng text")) "em khong biet" "" )

Cái kiểu học này của bạn không phải là cách hay đâu nhé. Nên học bài bản theo giáo trình hay trường lớp cụ thể. trong quá trình học chỗ nào chưa hiểu thì hỏi sẽ có kết quả tốt hơn. Còn học kiểu "mót" này thì chả thể nhớ lâu và cũng khó mà ứng dụng cho công việc của mình. Cái sự học là do bạn, có học nghiêm túc thì mới có kết quả tốt được. Còn học kiểu này vừa lâu vừa kém hiệu quả bởi cái tâm của cả người học lẫn người dạy bạn ạ.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5

cảm ơn anh đã có lời khuyên, thực sự là em cũng rất muốn học nếu có thời gian và nhất định trong thời gian tới em sẽ tham ra!

- anh ơi, đoạn này nó có vấn đề gì không mà em load lên nó báo lỗi này  ; error: malformed string on input        anh ạ:

 "r" (/ (* 180 (angle (setq p3 (getpoint "\n Nhap diem dau tren pline tim duong")) (setq p4 (getpoint p3 "\n Nhap diem dinh huong thu hai tren pline tim duong)))) pi)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

cảm ơn anh đã có lời khuyên, thực sự là em cũng rất muốn học nếu có thời gian và nhất định trong thời gian tới em sẽ tham ra!

- anh ơi, đoạn này nó có vấn đề gì không mà em load lên nó báo lỗi này  ; error: malformed string on input        anh ạ:

 "r" (/ (* 180 (angle (setq p3 (getpoint "\n Nhap diem dau tren pline tim duong")) (setq p4 (getpoint p3 "\n Nhap diem dinh huong thu hai tren pline tim duong)))) pi)

Hề hề hề,

Nó thiếu một dấu ngoặc kép khi kết thúc chuỗi Nhap diem dinh huong thu hai tren tim duong.Hãy sửa thành:

(command "mtext" (setq p1 (getpoint "\nhap diem goc tren ben trai của dòng text")) "r" (/ (* 180 (angle (setq p3 (getpoint "\n Nhap diem dau tren pline tim duong")) (setq p4 (getpoint p3 "\n Nhap diem dinh huong thu hai tren pline tim duong")))) pi) (setq p2 (getpoint p1 "\nhap diem goc duoi ben phai dòng text")) "em khong biet" "" )

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×